# PiFrame

This repo contains everything you need to build a high resolution digital Photo Frame using a Raspberry Pi.

# Project Status

The project is currently well into beta territory, borderline release candidate. We are still reviewing LCD hardware selections but the core software and non-LCD hardware is stable.

If you have an existing LCD or don't mind sourcing one and configuring it you can put together a very stable photo frame today.

# IMPORTANT CONSIDERATIONS

## SSL Support

The PiFrame project does **NOT** use SSL for anything unless it's a default setting for a given service. We have optimized the project to be managed via a trusted LAN and/or VPN solution (for multiple frames).

You can use acme.sh + vhosts + nginx if you really want SSL. There is plenty of great information online how to set up acme.sh + nginx + vhosts + SSL if you want to go this route.

We will not discuss, entertain or bother debating our decision regarding SSL. It's an additional layer of complexity and not strictly required for the purposes of this project.

# Bill Of Materials / Hardware Requirements

Please see [hardware.md](hardware.md) for details regarding hardware selection and requirements.

# Remixes

We provide documentation on how to build a photo frame with high resolution display backed by a Raspberry Pi 4. Nothing stops you from applying this information to other boards, screens and hardware. 

*However*, we will *NOT* support hardware and configuration deviations from the information provided in this repository. We've spent a lot of time ensuring everything works well together and is stable.

If you would like to submit ideas based on a remix or similar, please reach out and let us know via a ticket in this repo. We aren't opposed to improving our PiFrames but we want to be sure stability and accessibility come first.

# Licensing

Unless otherwise stated all source code is licensed under the [Apache 2 License](LICENSE-APACHE-2.0.txt).

Unless otherwise stated the non source code contents of this repository are licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](LICENSE-CC-Attribution-NonCommercial-ShareAlike-4.0-International.txt)
